<!--
  ~ iparapheur Web
  ~ Copyright (C) 2019-2025 Libriciel SCOP
  ~
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  ~ GNU Affero General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  -->

<div class="m-4">
  <div class="pb-4">
    <div
      id="metadataListTitle"
      class="h3 pb-2 fw-bold"
      [innerText]="ipngMessage.METADATA_LIST_TITLE">
    </div>
    <button
      ls-button
      (click)="onCreateButtonClicked()"
      [icon]="commonIcons.ADD_ICON"
      [text]="ipngMessage.CREATE_LINK_BUTTON_TITLE">
    </button>
  </div>

  <div>
    <table
      aria-labelledby="metadataListTitle"
      class="bg-white mt-2 table table-striped table-borderless">
      <thead>
        <tr>
          <th
            scope="col"
            class="w-50 fw-bold"
            [innerText]="ipngMessage.METADATA_TABLE_TITLE_METADATA_IPARAPHEUR">
          </th>
          <th
            scope="col"
            class="w-50 fw-bold"
            [innerText]="ipngMessage.METADATA_TABLE_TITLE_METADATA_IPNG">
          </th>
          <th
            scope="col"
            class="col-icon-fixed-size">
          </th>
        </tr>
      </thead>
      <tbody class="border-top">
        <tr *ngFor="let data of listData">
          <td>
            {{ data.tenantMetadata.name }}
          </td>
          <td>
            {{ data.ipngMetadata | ipngMetadataName }}
          </td>
          <td class="col-icon-fixed-size">
            <button
              type="button"
              class="btn text-primary ms-2"
              (click)="onDissociateButtonClicked(data)">
              <fa-icon [icon]="unlinkIcon"></fa-icon>
            </button>
          </td>
        </tr>
      </tbody>
    </table>
  </div>


</div>

